Bug 38951 - Apache segfaults in Servername unset and no DNS name exists
Summary: Apache segfaults in Servername unset and no DNS name exists
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-03 14:15 UTC by Mark Levitt
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-03 14:15:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Levitt 2001-05-03 14:15:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
Running /etc/rc.d/init.d/http start   produced:
Starting.....[FAILED]

Directly attempting to start Apache with /usr/sbin/httpd produced a 
segfault in httpd.

Once I set the Servername variable in httpd.conf, Apache started 
correctly. My machine has a DHCP assigned IP address and no DNS name.

I understand the Servername variable is supposed to be set, but I would 
not expect Apache to Segfault. 

How reproducible:
Always

Steps to Reproduce:
1.On a machine without a DNS name, start Httpd
2.
3.
	

Actual Results:  Segfault in httpd

Expected Results:  Apache starts

Additional info:

Comment 1 Joe Orton 2001-11-23 15:20:38 UTC
Thanks for the report. The segfault was a bug in Apache 1.3.19; it was fixed in
1.3.20.


Note You need to log in before you can comment on or make changes to this bug.